## gtk+3.0 3.24.49

=== meson_options.txt ===
# GDK backends
option('x11_backend', type: 'boolean', value: true,
  description : 'Enable the X11 gdk backend (only when building on Unix)')
option('wayland_backend', type: 'boolean', value: true,
  description : 'Enable the wayland gdk backend (only when building on Unix except for macOS)')
option('broadway_backend', type: 'boolean', value: false,
  description : 'Enable the broadway (HTML5) gdk backend')
option('win32_backend', type: 'boolean', value: true,
  description : 'Enable the Windows gdk backend (only when building on Windows)')
option('quartz_backend', type: 'boolean', value: true,
  description : 'Enable the macOS gdk backend (only when building on macOS)')

# Optional dependencies
option('xinerama', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable support for the Xinerama extension')
option('cloudproviders', type: 'boolean', value: false,
  description : 'Enable the cloudproviders support')
option('profiler', type: 'boolean', value: false,
  description : 'Enable profiler support')
option('tracker3', type: 'boolean', value: false,
  description : 'Enable Tracker3 filechooser search')

# Print backends
option('print_backends', type : 'string', value : 'auto',
  description : 'Build the specified print backends (comma-separated list, any of "cups,file,lpr,papi,test" or "auto")')
option('colord', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Build colord support for the CUPS printing backend')

# Documentation and introspection
option('gtk_doc', type: 'boolean', value: 'false',
  description : 'Build API reference with gtk-doc')
option('man', type: 'boolean', value: 'false',
  description : 'Build man pages for installed tools')
option('introspection', type: 'boolean', value: 'true',
  description : 'Build introspection data (requires gobject-introspection)')

# Demos and binaries
option('demos', type: 'boolean', value: 'true',
  description : 'Build demo programs')
option('examples', type: 'boolean', value: 'true',
  description : 'Build examples')
option('tests', type: 'boolean', value: 'true',
  description : 'Build tests')
option('installed_tests', type: 'boolean', value: 'false',
  description : 'enable installed tests')

# input modules
option('builtin_immodules', type: 'string',
       value: '', description: 'Build specified immodules into GTK so/DLL (comma-separated list), "all", "none" or "backend"')

=== debian/changelog ===
gtk+3.0 (3.24.49-3) unstable; urgency=medium

  * Cherry-pick fixes from gtk-3-24 branch including
    - Fixes needed for gjs's build tests
    - Restore a spinner icon removed from adwaita-icon-theme

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Mar 2025 18:12:25 -0400

gtk+3.0 (3.24.49-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Add patch to prefer Papers instead of Evince for print previews

  [ Simon McVittie ]
  * d/libgtk-3-0t64.bug-control: Include libgtk-session-lock0 in bug reports

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Mar 2025 11:08:13 -0400

gtk+3.0 (3.24.49-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum wayland and wayland-protocols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 21:55:21 -0400

gtk+3.0 (3.24.48-4) unstable; urgency=medium

  * Add Breaks on libgtk-layer-shell0 older than 0.9.0
    gtk-layer-shell uses undocumented implementation details of GTK
    and requires in-depth knowledge of private data structures, so GTK
    updates will often result in it crashing. This Breaks should be
    increased whenever that happens. (Closes: #1079292)
  * d/libgtk-3-0t64.bug-control: Add libgtk-layer-shell0 to
    Package-Status. If libgtk-layer-shell0 is installed, we'll want to
    see its version number when crashes are reported.

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Jan 2025 10:11:58 +0000

gtk+3.0 (3.24.48-3) unstable; urgency=medium

  * Restore gtk-update-icon-cache package as was previously provided.
    Notably this isn't actually built on release architectures because
    of debian/rules handling. See the 3.24.43-4 changelog.
  * Add loong64 to the list of architectures we don't want to build
    gtk-update-icon-cache

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Jan 2025 11:51:58 -0500

gtk+3.0 (3.24.48-2) unstable; urgency=medium

  * Remove obsolete gtk-update-icon-cache package, now built by gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Jan 2025 10:56:07 -0500

gtk+3.0 (3.24.48-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update debian/watch. New releases no longer include + in filenames
  * missing-sources: Update emojibase. The emoji chooser was updated to
    support Unicode 16
  * Remove 5 patches applied in new release

  [ Simon McVittie ]
  * d/salsa-ci.yml: Disable reprotest on Salsa-CI.
    It takes longer than the infrastructure timeout (1 hour).

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Jan 2025 09:54:24 -0500

gtk+3.0 (3.24.43-5) unstable; urgency=medium

  * d/salsa-ci.yml: Add
  * d/rules: Explicitly use build architecture gcc in rebuild-emoji target.
    This makes it more obvious that we're intentionally building a
    build-architecture binary, to be run during the build and then discarded.
  * d/rules: Use CFLAGS_FOR_BUILD, etc. to link convert-emoji
  * d/libgtk-3-0t64.links.in:
    Provide a symlink to the old gtk-query-immodules-3.0 path.
    This provides drop-in compatibility with libgtk-3-0, which some
    packages rely on (gcin, hime, ibus).
  * Add test coverage for the historical path of gtk-query-immodules-3.0
  * Remove obsolete Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Jan 2025 14:38:06 +0000

gtk+3.0 (3.24.43-4) unstable; urgency=medium

  * d/p/a11y-Use-non-empty-message-dialog-title-as-a11y-name.patch:
    Edit patch so the long description is not used as part of the diff
    (Closes: #1081179)
  * d/rules: Don't build gtk-update-icon-cache on release architectures.
    Ideally src:gtk4 would take over gtk-update-icon-cache on all
    architectures, but it isn't buildable on all -ports architectures
    yet, and the -ports architectures are more susceptible to packages
    temporarily disappearing.

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Sep 2024 11:11:27 +0100

=== debian/control ===
Source: gtk+3.0
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>, Dmitry Shachnev <mitya57@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: adwaita-icon-theme (>= 45.0-4~) <!nocheck>,
               at-spi2-core <!nocheck>,
               dbus-daemon <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               docbook-xml <!nodoc>,
               docbook-xsl <!nodoc>,
               dpkg-dev (>= 1.22.5),
               fonts-cantarell <!nocheck>,
               fonts-dejavu-core <!nocheck>,
               gir1.2-atk-1.0-dev <pkg.gobject-introspection.todo>,
               gir1.2-cairo-1.0-dev | libgirepository1.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev | libgirepository1.0-dev,
               gir1.2-pango-1.0-dev,
               gir1.2-xlib-2.0-dev | libgirepository1.0-dev,
               gnome-pkg-tools (>= 0.11),
               gobject-introspection (>= 1.78.1-9~) | libgirepository1.0-dev (>= 1.41.3),
               gobject-introspection (>= 1.78.1-9~) <cross>,
               gsettings-desktop-schemas <!nocheck>,
               libatk-bridge2.0-dev (>= 2.15.1),
               libatk1.0-dev (>= 2.35.1),
               libcairo2-dev (>= 1.14.0),
               libcloudproviders-dev (>= 0.3.2),
               libcolord-dev (>= 0.1.9),
               libcups2-dev (>= 1.7),
               libegl1-mesa-dev [linux-any],
               libepoxy-dev (>= 1.4),
               libfontconfig-dev,
               libfreetype-dev (>= 2.7.1),
               libfribidi-dev (>= 0.19.7),
               libgdk-pixbuf-2.0-dev (>= 2.40.0),
               libglib2.0-dev (>= 2.57.2),
               libharfbuzz-dev (>= 2.2.0),
               libjson-glib-dev:native,
               libpango1.0-dev (>= 1.44.0),
               librsvg2-common [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64] <!nocheck>,
               libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
               libwayland-dev (>= 1.23) [linux-any],
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxinerama-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxkbfile-dev,
               libxml2-utils,
               libxrandr-dev (>= 2:1.5.0),
               meson (>= 0.60.0),
               ninja-build,
               pkgconf,
               pkgconf:native,
               sassc,
               wayland-protocols (>= 1.41) [linux-any],
               xauth <!nocheck>,
               xsltproc <!nodoc>,
               xvfb <!nocheck>
Build-Depends-Indep: gtk-doc-tools (>= 1.20) <!nodoc>,
                     libatk1.0-doc <!nodoc>,
                     libcairo2-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libpango1.0-doc <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
Homepage: https://www.gtk.org/

Package: libgtk-3-0t64
Replaces: libgtk-3-0 (<< 3.24.41-1.1)
Breaks: libgtk-3-0 (<< 3.24.41-1.1),
        libgtk-layer-shell0 (<< 0.9.0),
Architecture: any
Multi-Arch: same
Depends: adwaita-icon-theme,
         hicolor-icon-theme,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk-3-common (>= ${source:Version})
Provides: ${t64:Provides}, ${gtk:BinVer}
Recommends: libgtk-3-bin,
            librsvg2-common
Suggests: gvfs,
Description: GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the shared libraries.

Package: libgtk-3-0-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gtk:BinVer}
Description: GTK graphical user interface library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the minimal runtime library using X11 needed
 by the Debian installer.

Package: libgtk-3-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libgtk-3-0t64
Breaks: libgtk-3-dev (<< 3.24.30-3~)
Replaces: libgtk-3-dev (<< 3.24.30-3~)
Description: common files for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the common files which the libraries need.

Package: libgtk-3-bin
Section: misc
Architecture: any
Multi-Arch: foreign
Depends: gtk-update-icon-cache,
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk-3-common (>= ${source:Version}),
         libgtk-3-0t64 (>= ${source:Version})
Breaks: gtk-3-examples (<< 3.24.13)
Replaces: gtk-3-examples (<< 3.24.13)
Description: programs for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the utilities which are used by the libraries
 and other packages.

Package: libgtk-3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gtk-3.0 (= ${binary:Version}),
         libatk-bridge2.0-dev (>= 2.15.1),
         libatk1.0-dev (>= 2.35.1),
         libcairo2-dev (>= 1.14.0),
         libegl1-mesa-dev [linux-any],
         libepoxy-dev (>= 1.0),
         libfontconfig-dev,
         libfribidi-dev (>= 0.19.7),
         libgdk-pixbuf-2.0-dev (>= 2.40.0),
         libglib2.0-dev (>= 2.57.2),
         libpango1.0-dev (>= 1.44.0),
         libwayland-dev (>= 1.23) [linux-any],
         libx11-dev,
         libxcomposite-dev,
         libxcursor-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxinerama-dev,
         libxkbcommon-dev,
         libxrandr-dev,
         pkgconf,
         wayland-protocols (>= 1.41) [linux-any],
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         ${cloudProvider:Depends},
         libgtk-3-common (>= ${source:Version}),
         libgtk-3-0t64 (= ${binary:Version})
Provides: gir1.2-gdk-3.0-dev (= ${binary:Version}),
          gir1.2-gdkx11-3.0-dev (= ${binary:Version}),
          ${gir:Provides}
Suggests: libgtk-3-doc
Description: development files for the GTK library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the header and development files which are
 needed for building GTK applications.

Package: libgtk-3-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libatk1.0-doc,
            libglib2.0-doc,
            libpango1.0-doc
Suggests: devhelp
Description: documentation for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the HTML documentation for the GTK library
 in /usr/share/doc/libgtk-3-doc/ .

Package: gtk-3-examples
Section: x11
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk-3-0t64 (= ${binary:Version})
Description: example files for GTK 3
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the example files and a demonstration program
 for GTK3. It also contains the installed tests.

Package: gir1.2-gtk-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk-3-common
Breaks: python-gi (<< 3.18),
        python3-gi (<< 3.18)
Provides: gir1.2-gdk-3.0 (= ${binary:Version}),
          gir1.2-gdkx11-3.0 (= ${binary:Version}),
          ${gir:Provides}
Description: GTK graphical user interface library -- gir bindings
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

# gtk-update-icon-cache is not built on release architectures. See debian/rules
Package: gtk-update-icon-cache
Section: misc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgtk-3-bin (<< 3.20.6-1),
        libgtk2.0-bin (<< 2.24.30-2)
Replaces: libgtk-3-bin (<< 3.20.6-1),
          libgtk2.0-bin (<< 2.24.30-2)
Description: icon theme caching utility
 gtk-update-icon-cache creates mmap()able cache files for icon themes.
 .
 GTK can use the cache files created by gtk-update-icon-cache to avoid a lot
 of system call and disk seek overhead when the application starts. Since the
 format of the cache files allows them to be mmap()ed shared between multiple
 applications, the overall memory consumption is reduced as well.

Package: libgail-3-0t64
Provides: ${t64:Provides}
Replaces: libgail-3-0 (<< 3.24.41-1.1)
Breaks: libgail-3-0 (<< 3.24.41-1.1)
Architecture: any
Multi-Arch: same
Depends: at-spi2-core,
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk-3-0t64 (= ${binary:Version})
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library.

Package: libgail-3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libatk1.0-dev,
         libgail-3-0t64 (= ${binary:Version}),
         pkgconf,
         ${misc:Depends},
         libgtk-3-dev (= ${binary:Version})
Suggests: libgail-3-doc
Description: GNOME Accessibility Implementation Library -- development files
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the development files for Gail.

Package: libgail-3-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation files of the Gail library
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of

=== debian/tests/control ===
Tests: build python3-gi
Depends: libgtk-3-dev, build-essential, xauth, xvfb, python3-gi, gir1.2-gtk-3.0, dbus-daemon
Restrictions: allow-stderr, superficial

Tests: installed-tests
Depends: adwaita-icon-theme (>= 45.0-4~), at-spi2-core, dbus-daemon, gnome-desktop-testing (>= 2018.1-1~), gtk-3-examples, librsvg2-common, xauth, xvfb
Restrictions: allow-stderr

Tests: 1065494-futureproofing
Depends: dpkg-dev, dpkg-repack, libgtk-3-0t64
Restrictions: allow-stderr breaks-testbed flaky needs-root

## gtk+3.0 3.24.50

=== debian/changelog ===
gtk+3.0 (3.24.50-2) unstable; urgency=medium

  * d/source/include-binaries: Remove, no longer needed
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/copyright: Link to GNU website instead of listing FSF's old
    postal address
  * d/copyright: Clarify the various versions of the LGPL
  * d/tests/1065494-futureproofing: Produce valid TAP output
  * d/tests/1065494-futureproofing: Generate a versioned Provides.
    Otherwise, replacing libgtk-3-0t64 with libgtk-3-0xyz could result
    in necessary packages being uninstalled and the test will fail.
  * d/tests/1065494-futureproofing: Improve diagnostic output

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Aug 2025 09:24:36 +0100

gtk+3.0 (3.24.50-1) unstable; urgency=medium

  * New upstream release
    - Fix a memory leak in gtk_clipboard_wait_for_targets()
    - If a GtkNotebook drag fails, reset the drag operation to None
      so that the tab can be redrawn
    - In the file chooser dialog, add a tooltip to the Search button
    - Revert an input method change that could cause Eclipse crashes
      (regression in 3.24.44)
    - Embed PNG icons in the library as PNGs, instead of preprocessing
      them into uncompressed pixel data with the deprecated
      gdk-pixbuf-pixdata tool
    - Extend the SVG subset used in symbolic icons to support applying a
      stroke style to paths
    - Fix a possible crash in the CUPS printing code
    - Allow building against libcups version 3
      (not yet relevant in Debian, we still build-depend on libcups2-dev)
    - Default to Adwaita Sans font instead of Cantarell
    - Include "KP" prefix in the names given for more numeric keypad keys
    - Speed up app startup by making Pango initialize Fontconfig earlier,
      in parallel with other startup actions
    - If the print previewer is set to Evince, automatically prefer Papers
      if installed, either as a Flatpak app or a .deb
    - Improve the choice of preedit representation for input methods,
      especially Compose sequences
    - Don't report window title changes to accessibility tools if the
      title didn't actually change
    - On X11, include window borders in frame extents and geometry, fixing
      visual issues in Firefox
    - On Wayland, fix a crash and a memory leak when reporting the name
      and description of an output
    - On Wayland, fix a possible crash when there are no outputs
      connected (a "headless" display)
    - When not running in a Flatpak sandbox, identify the app to
      xdg-desktop-portal (if installed) during initialization
    - Fix a compiler warning with -Wundef
    - Translation updates
    - macOS- and Windows-specific changes not relevant to Debian
  * d/patches: Drop patches that were included in the upstream release
  * d/p/printing-Default-to-papers-previewer-and-fallback-to-evin.patch:
    Drop patch defaulting to papers-previewer for print preview.
    This was solved differently in the new upstream release.
  * d/p/workarounds/Revert-Replace-hardcoded-values-of-Cantarell.patch:
    Revert the change from Cantarell to Adwaita Sans as UI font.
    Adwaita Sans isn't packaged yet (ITP: #1101879) and until it is,
    we should keep using Cantarell.
  * d/libgtk-3-0t64.bug-control: Add details of more GTK_MODULES to
    bug reports.
    Arbitrary code injected into all GTK applications can easily lead to
    crashes or other unintended interactions, so it's good to have these
    diagnosed as "packages libgtk-3-0t64 is related to" in bug reports.
  * d/libgtk-3-doc.links.in: Remove unused symlinks to other packages' docs.
    All except atk/ were dangling symlinks anyway, as a result of the
    other packages' transition from gtk-doc to gi-docgen.

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Aug 2025 14:19:03 +0100

=== debian/control ===
--- 
+++ 
@@ -69,7 +69,7 @@
                      libglib2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
 Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 Homepage: https://www.gtk.org/

## gtk+3.0 3.24.51

=== debian/changelog ===
gtk+3.0 (3.24.51-4) unstable; urgency=medium

  * Remove unnecessary Build-Depends: fonts-cantarell
  * Remove patch avoiding the Adwaita Sans font

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Dec 2025 19:35:44 -0500

gtk+3.0 (3.24.51-3) unstable; urgency=medium

  * Add Recommends: ibus-gtk3 (Closes: #1123066)
  * Don't run dh_gnome to avoid build log warnings
  * Remove obsolete Breaks/Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Dec 2025 13:08:53 -0500

gtk+3.0 (3.24.51-2) unstable; urgency=medium

  * Add Build-Depends: dh-sequence-gnome
  * Salsa CI: Remove explicit disabling of reprotest
  * Remove Suggests: devhelp
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Dec 2025 23:46:20 -0500

gtk+3.0 (3.24.51-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Oct 2025 12:13:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gtk+3.0
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Dmitry Shachnev <mitya57@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme (>= 45.0-4~) <!nocheck>,
@@ -8,10 +7,10 @@
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
+               dh-sequence-gnome,
                docbook-xml <!nodoc>,
                docbook-xsl <!nodoc>,
                dpkg-dev (>= 1.22.5),
-               fonts-cantarell <!nocheck>,
                fonts-dejavu-core <!nocheck>,
                gir1.2-atk-1.0-dev <pkg.gobject-introspection.todo>,
                gir1.2-cairo-1.0-dev | libgirepository1.0-dev,
@@ -19,7 +18,6 @@
                gir1.2-gio-2.0-dev | libgirepository1.0-dev,
                gir1.2-pango-1.0-dev,
                gir1.2-xlib-2.0-dev | libgirepository1.0-dev,
-               gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 1.78.1-9~) | libgirepository1.0-dev (>= 1.41.3),
                gobject-introspection (>= 1.78.1-9~) <cross>,
                gsettings-desktop-schemas <!nocheck>,
@@ -68,16 +66,13 @@
                      libcairo2-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
 Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0t64
-Replaces: libgtk-3-0 (<< 3.24.41-1.1)
-Breaks: libgtk-3-0 (<< 3.24.41-1.1),
-        libgtk-layer-shell0 (<< 0.9.0),
+Breaks: libgtk-layer-shell0 (<< 0.9.0)
 Architecture: any
 Multi-Arch: same
 Depends: adwaita-icon-theme,
@@ -87,7 +82,8 @@
          ${shlibs:Depends},
          libgtk-3-common (>= ${source:Version})
 Provides: ${t64:Provides}, ${gtk:BinVer}
-Recommends: libgtk-3-bin,
+Recommends: ibus-gtk3,
+            libgtk-3-bin,
             librsvg2-common
 Suggests: gvfs,
 Description: GTK graphical user interface library
@@ -123,8 +119,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: libgtk-3-0t64
-Breaks: libgtk-3-dev (<< 3.24.30-3~)
-Replaces: libgtk-3-dev (<< 3.24.30-3~)
 Description: common files for the GTK graphical user interface library
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -142,8 +136,6 @@
          ${shlibs:Depends},
          libgtk-3-common (>= ${source:Version}),
          libgtk-3-0t64 (>= ${source:Version})
-Breaks: gtk-3-examples (<< 3.24.13)
-Replaces: gtk-3-examples (<< 3.24.13)
 Description: programs for the GTK graphical user interface library
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -157,8 +149,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-gtk-3.0 (= ${binary:Version}),
-         libatk-bridge2.0-dev (>= 2.15.1),
+Depends: libatk-bridge2.0-dev (>= 2.15.1),
          libatk1.0-dev (>= 2.35.1),
          libcairo2-dev (>= 1.14.0),
          libegl1-mesa-dev [linux-any],
@@ -183,13 +174,10 @@
          wayland-protocols (>= 1.41) [linux-any],
          ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
          ${cloudProvider:Depends},
          libgtk-3-common (>= ${source:Version}),
          libgtk-3-0t64 (= ${binary:Version})
-Provides: gir1.2-gdk-3.0-dev (= ${binary:Version}),
-          gir1.2-gdkx11-3.0-dev (= ${binary:Version}),
-          ${gir:Provides}
+Provides: ${gir:Provides}
 Suggests: libgtk-3-doc
 Description: development files for the GTK library
  GTK is a multi-platform toolkit for creating graphical user
@@ -209,7 +197,6 @@
 Recommends: libatk1.0-doc,
             libglib2.0-doc,
             libpango1.0-doc
-Suggests: devhelp
 Description: documentation for the GTK graphical user interface library
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -240,13 +227,8 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
          libgtk-3-common
-Breaks: python-gi (<< 3.18),
-        python3-gi (<< 3.18)
-Provides: gir1.2-gdk-3.0 (= ${binary:Version}),
-          gir1.2-gdkx11-3.0 (= ${binary:Version}),
-          ${gir:Provides}
+Provides: ${gir:Provides}
 Description: GTK graphical user interface library -- gir bindings
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -263,10 +245,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libgtk-3-bin (<< 3.20.6-1),
-        libgtk2.0-bin (<< 2.24.30-2)
-Replaces: libgtk-3-bin (<< 3.20.6-1),
-          libgtk2.0-bin (<< 2.24.30-2)
 Description: icon theme caching utility
  gtk-update-icon-cache creates mmap()able cache files for icon themes.
  .
@@ -277,8 +255,6 @@
 
 Package: libgail-3-0t64
 Provides: ${t64:Provides}
-Replaces: libgail-3-0 (<< 3.24.41-1.1)
-Breaks: libgail-3-0 (<< 3.24.41-1.1)
 Architecture: any
 Multi-Arch: same
 Depends: at-spi2-core,
@@ -317,7 +293,10 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Suggests: devhelp
 Description: documentation files of the Gail library
  Gail implements ATK interfaces for GTK widgets which are dynamically
  loadable at runtime by a GTK application. Once loaded, those parts of
+ an application that use standard GTK widgets will have a basic level
+ of accessibility, without the need to modify the application at all.
+ .
+ This package contains the documentation files for Gail.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

built_binaries := $(shell dh_listpackages)
all_binaries := $(shell sed -ne 's/^Package: *//p' < debian/control)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Ensure the build aborts when there are still references to undefined symbols
# currently fails at least in the im-multipress im module
#LDFLAGS += -Wl,-z,defs
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

APIVER := 3
SONAME := 0

LIBDIR := usr/lib/$(DEB_HOST_MULTIARCH)

# earliest version that this release has backwards binary compatibility for
GTK_BINARY_VERSION := 3.0.0

# Gtk binary version virtual Provide
GTK_BINVER_DEP := gtk$(APIVER)-binver-$(GTK_BINARY_VERSION)

# relative base directory for configuration
CONFDIR := etc/gtk-3.0

# relative base directory for all types of modules
MODULES_BASE_PATH := $(LIBDIR)/gtk-3.0/$(GTK_BINARY_VERSION)

# package names
SHARED_PKG := libgtk-$(APIVER)-$(SONAME)t64
COMMON_PKG := libgtk-$(APIVER)-common
DEV_PKG := libgtk-$(APIVER)-dev
UDEB_PKG := libgtk-$(APIVER)-$(SONAME)-udeb
DOC_PKG := libgtk-$(APIVER)-doc
BIN_PKG := libgtk-$(APIVER)-bin
EXAMPLES_PKG := gtk-$(APIVER)-examples

# files larger than 4k in size will be compressed by dh_compress
# so append a .gz suffix to avoid dangling symlinks
NEWS := NEWS$(shell find -maxdepth 1 -size +4k -name NEWS -exec echo ".gz" \;)
README := README.md$(shell find -maxdepth 1 -size +4k -name README.md -exec echo ".gz" \;)

# Avoid test failures on buildd environments
export HOME=$(CURDIR)/debian/build
export XDG_RUNTIME_DIR=$(HOME)
# So that gsettings can find the (uninstalled) gtk schemas
export XDG_DATA_DIRS=/usr/share:$(CURDIR)/debian/build
# Put these back to their defaults if we are not running with a clean
# environment, so that they are based on the temporary $HOME above
unexport XDG_CACHE_HOME
unexport XDG_CONFIG_DIRS
unexport XDG_CONFIG_HOME
unexport XDG_DATA_HOME

# macro computing the list of 'debian/<pkg>.*" files which have a
# corresponding ".in" file; pass the list of packages in $(1)
dh_subst_files = $(patsubst %.in,%,$(wildcard $(addprefix debian/, $(addsuffix *.in, $(1)))))

debian/%: debian/%.in
	dh_testdir
	sed \
		-e "s#@SONAME@#$(SONAME)#g" \
		-e "s#@APIVER@#$(APIVER)#g" \
		-e "s#@SHARED_PKG@#$(SHARED_PKG)#g" \
		-e "s#@COMMON_PKG@#$(COMMON_PKG)#g" \
		-e "s#@DEV_PKG@#$(DEV_PKG)#g" \
		-e "s#@DOC_PKG@#$(DOC_PKG)#g" \
		-e "s#@BIN_PKG@#$(BIN_PKG)#g" \
		-e "s#@LIBDIR@#$(LIBDIR)#g" \
		-e 's#@CONFDIR@#$(CONFDIR)#g' \
		-e "s#@MODULES_BASE_PATH@#$(MODULES_BASE_PATH)#g" \
		-e "s#@NEWS@#$(NEWS)#g" \
		-e "s#@README@#$(README)#g" \
		$@.in > $@

dh_options =

configure_flags_common = \
	-Dx11_backend=true \
	$(NULL)

configure_flags_deb = \
	--default-library=shared \
	-Dbroadway_backend=true \
	-Dinstalled_tests=true \
	-Dintrospection=true \
	-Dprint_backends=cups,file \
	$(NULL)

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
configure_flags_deb += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
endif

ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
configure_flags_deb += -Dcolord=yes
else
configure_flags_deb += -Dcolord=no
endif

ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)))
configure_flags_deb += -Dprofiler=true
else
configure_flags_deb += -Dprofiler=false
endif

# We don't build gtk-update-icon-cache on release architectures (+ loong64) because we assume they get it from gtk4.
# We still build it on -ports architectures (except loong64) because they don't build gtk4 reliably.
ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x loong64,$(DEB_HOST_ARCH)))
dh_options += -Ngtk-update-icon-cache
endif

ifeq (linux,$(DEB_HOST_ARCH_OS))
configure_flags_deb += -Dwayland_backend=true
else
configure_flags_deb += -Dwayland_backend=false
endif

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
configure_flags_deb += -Dman=true
else
configure_flags_deb += -Dman=false
endif

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags_deb += -Dgtk_doc=false
else
configure_flags_deb += -Dgtk_doc=true
endif

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes), yes)
# Not in main repository
configure_flags_deb += -Dcloudproviders=false
else
configure_flags_deb += -Dcloudproviders=true
endif

configure_flags_udeb = \
	-Dbroadway_backend=false \
	-Dcolord=no \
	-Dgtk_doc=false \
	-Dintrospection=false \
	-Dman=false \
	-Dprint_backends=file \
	-Dwayland_backend=false \
	$(NULL)

%:
	dh $@ $(dh_options)

fuzzy_reftests =

# https://gitlab.gnome.org/GNOME/gtk/-/issues/5545
fuzzy_reftests += label-background

# Debian-specific
ignore_reftests += \
	flipping-icons \
	$(NULL)

ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386))
ignore_reftests += linear-gradient
endif

# https://bugs.debian.org/1024392
ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
	ignore_reftests += border-image-excess-size
endif

xfail_reftests = \
	$(NULL)

override_dh_clean:
	rm -f $(call dh_subst_files,$(all_binaries))
	rm -rf debian/build debian/install
	# The build system does not automatically update the GResource files
	# when resources change. Force an update in case we ship a patch which
	# modifies the theme CSS files.
	rm -f gtk/theme/Adwaita/gtk-contained.css
	rm -f gtk/theme/Adwaita/gtk-contained-dark.css
	rm -f gtk/theme/HighContrast/gtk-contained.css
	rm -f gtk/theme/HighContrast/gtk-contained-inverse.css
	dh_clean

# Add dependencies to generate files from the debian/*.in ones
override_dh_auto_build: $(call dh_subst_files,$(all_binaries))

override_dh_auto_build: rebuild-emoji
rebuild-emoji:
	${DEB_BUILD_GNU_TYPE}-gcc ${CPPFLAGS_FOR_BUILD} ${CFLAGS_FOR_BUILD} ${LDFLAGS_FOR_BUILD} \
		-o debian/convert-emoji gtk/emoji/convert-emoji.c \
		$$(${DEB_BUILD_GNU_TYPE}-pkgconf --cflags --libs json-glib-1.0)
	set -eu; for input in debian/missing-sources/emojibase/packages/data/*/data.raw.json; do \
		lang=$$(echo $$input | sed -ne 's,^.*/\([a-z][a-z]\)/data.raw.json$$,\1,p'); \
		output=gtk/emoji/$$lang.data; \
		debian/convert-emoji $$input $$output; \
	done

override_dh_auto_configure: debian/control
	dh_auto_configure \
		--builddirectory=debian/build/deb \
		-- \
		$(configure_flags_common) \
		$(configure_flags_deb) \
		$(NULL)
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_configure \
		--builddirectory=debian/build/udeb \
		-- \
		$(configure_flags_common) \
		$(configure_flags_udeb) \
		$(NULL)
endif

override_dh_auto_build:
	( cd gtk/theme/Adwaita; ./parse-sass.sh )
	( cd gtk/theme/HighContrast; ./parse-sass.sh )
	dh_auto_build --builddirectory=debian/build/deb
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_build --builddirectory=debian/build/udeb
endif

override_dh_auto_test:
# The tests require librsvg2-common which is only available on architectures
# where rust has been ported to, disable the tests on the other ones
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# So that gsettings can find the (uninstalled) gtk schemas
	mkdir -p debian/build/glib-2.0/schemas/
	cp gtk/org.gtk.* debian/build/glib-2.0/schemas/
	glib-compile-schemas debian/build/glib-2.0/schemas/
	env \
		BUILDDIR=$(CURDIR)/debian/build/deb \
		FUZZY_REFTESTS="$(fuzzy_reftests)" \
		IGNORE_REFTESTS="$(ignore_reftests)" \
		LIBGL_ALWAYS_SOFTWARE=1 \
		XFAIL_REFTESTS="$(xfail_reftests)" \
	debian/run-tests.sh --timeout-multiplier 4
endif
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/build/deb --destdir=debian/install/deb
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_install --builddirectory=debian/build/udeb --destdir=debian/install/udeb
endif

override_dh_install:
	dh_install -p$(UDEB_PKG) --sourcedir=debian/install/udeb
	dh_install --remaining-packages --sourcedir=debian/install/deb
ifneq ($(filter $(EXAMPLES_PKG),$(built_binaries)),)
